You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: vani...@freebsd.org
Ident:          $FreeBSD: head/audio/emms/Makefile 433782 2017-02-10 02:44:09Z 
vanilla $
Log URL:        
http://beefy5.nyi.freebsd.org/data/103i386-default/434195/logs/emms-4.2.log
Build URL:      
http://beefy5.nyi.freebsd.org/build.html?mastername=103i386-default&build=434195
Log:

====>> Building audio/emms
build started at Thu Feb 16 11:30:01 UTC 2017
port directory: /usr/ports/audio/emms
building for: FreeBSD 103i386-default-job-24 10.3-RELEASE-p16 FreeBSD 
10.3-RELEASE-p16 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/audio/emms/Makefile 433782 2017-02-10 
02:44:09Z vanilla $
Poudriere version: 3.1.14
Host OSVERSION: 1200018
Jail OSVERSION: 1003000
Job Id: 24

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
UNAME_v=FreeBSD 10.3-RELEASE-p16
UNAME_r=10.3-RELEASE-p16
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=i386
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/103i386-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=emms-4.2
OSREL=10.3
_OSRELEASE=10.3-RELEASE-p16
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/103i386-default/ref/.p/pool
MASTERNAME=103i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1003000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/audio/emms/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/emms/work  
HOME=/wrkdirs/usr/ports/audio/emms/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SITELISP="/usr/local/share/emacs/site-lisp/emms"  INSTALLINFO="true" 
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/emms/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/emms/work  
HOME=/wrkdirs/usr/ports/audio/emms/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
EMACS_LIBDIR=share/emacs
EMACS_VER=25.1
EMACS_LIBDIR_WITH_VER=share/emacs/25.1
EMACS_SITE_LISPDIR=share/emacs/site-lisp
EMACS_VERSION_SITE_LISPDIR=share/emacs/25.1/site-lisp
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/emms"
EXAMPLESDIR="share/examples/emms"
DATADIR="share/emms"
WWWDIR="www/emms"
ETCDIR="etc/emms"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/emms
DOCSDIR=/usr/local/share/doc/emms
EXAMPLESDIR=/usr/local/share/examples/emms
WWWDIR=/usr/local/www/emms
ETCDIR=/usr/local/etc/emms
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   emms-4.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.9.4_1.txz
[103i386-default-job-24] Installing pkg-1.9.4_1...
[103i386-default-job-24] Extracting pkg-1.9.4_1: .......... done
===>   emms-4.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of emms-4.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by emms-4.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by emms-4.2 for building
=> SHA256 Checksum OK for emms-4.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by emms-4.2 for building
===>  Extracting for emms-4.2
=> SHA256 Checksum OK for emms-4.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for emms-4.2
===========================================================================
=======================<phase: build-depends  >============================
===>   emms-4.2 depends on file: /usr/local/bin/emacs-25.1 - not found
===>   Installing existing package /packages/All/emacs25-25.1,3.txz
<snip>
[103i386-default-job-24] |   `-- Extracting libgd-2.2.4,1: .......... done
[103i386-default-job-24] |   `-- Installing fribidi-0.19.7...
[103i386-default-job-24] |   `-- Extracting fribidi-0.19.7: .......... done
[103i386-default-job-24] |   `-- Installing libXaw-1.0.13,2...
[103i386-default-job-24] |   | `-- Installing printproto-1.0.5...
[103i386-default-job-24] |   | `-- Extracting printproto-1.0.5: .... done
[103i386-default-job-24] |   | `-- Installing libXp-1.0.3,1...
[103i386-default-job-24] |   | `-- Extracting libXp-1.0.3,1: .......... done
[103i386-default-job-24] |   `-- Extracting libXaw-1.0.13,2: .......... done
[103i386-default-job-24] |   `-- Installing m17n-db-1.7.0...
[103i386-default-job-24] |   `-- Extracting m17n-db-1.7.0: .......... done
[103i386-default-job-24] |   `-- Installing libotf-0.9.13_2...
[103i386-default-job-24] |   `-- Extracting libotf-0.9.13_2: .......... done
[103i386-default-job-24] `-- Extracting m17n-lib-1.7.0_2: .......... done
[103i386-default-job-24] `-- Installing ImageMagick-6.9.6.4,1...
[103i386-default-job-24] |   `-- Installing libfpx-1.3.1.4_1...
[103i386-default-job-24] |   `-- Extracting libfpx-1.3.1.4_1: .... done
[103i386-default-job-24] |   `-- Installing liblqr-1-0.4.2...
[103i386-default-job-24] |   `-- Extracting liblqr-1-0.4.2: .......... done
[103i386-default-job-24] |   `-- Installing fftw3-3.3.6.p1...
[103i386-default-job-24] |   `-- Extracting fftw3-3.3.6.p1: .......... done
[103i386-default-job-24] |   `-- Installing libltdl-2.4.6...
[103i386-default-job-24] |   `-- Extracting libltdl-2.4.6: .......... done
[103i386-default-job-24] |   `-- Installing ghostscript9-agpl-x11-9.16_2...
[103i386-default-job-24] |   | `-- Installing ghostscript9-agpl-base-9.16_5...
[103i386-default-job-24] |   |   `-- Installing jbig2dec-0.13...
[103i386-default-job-24] |   |   `-- Extracting jbig2dec-0.13: .......... done
[103i386-default-job-24] |   |   `-- Installing svgalib-1.4.3_7...
[103i386-default-job-24] |   |   `-- Extracting svgalib-1.4.3_7: .......... done
[103i386-default-job-24] |   |   `-- Installing lcms2-2.8...
[103i386-default-job-24] |   |   `-- Extracting lcms2-2.8: .......... done
[103i386-default-job-24] |   |   `-- Installing gsfonts-8.11_8...
[103i386-default-job-24] |   |   `-- Extracting gsfonts-8.11_8: .......... done
[103i386-default-job-24] |   | `-- Extracting ghostscript9-agpl-base-9.16_5: 
.......... done
[103i386-default-job-24] |   `-- Extracting ghostscript9-agpl-x11-9.16_2: .... 
done
[103i386-default-job-24] |   `-- Installing libwmf-0.2.8.4_15...
[103i386-default-job-24] |   `-- Extracting libwmf-0.2.8.4_15: .......... done
[103i386-default-job-24] |   `-- Installing pkgconf-1.2.2_1...
[103i386-default-job-24] |   `-- Extracting pkgconf-1.2.2_1: .......... done
[103i386-default-job-24] |   `-- Installing openjpeg-2.1.2_1...
[103i386-default-job-24] |   `-- Extracting openjpeg-2.1.2_1: .......... done
[103i386-default-job-24] `-- Extracting ImageMagick-6.9.6.4,1: .......... done
[103i386-default-job-24] Extracting emacs25-25.1,3: .......... done
Message from python27-2.7.13_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.24.1:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from dejavu-2.37:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from jasper-1.900.1_16:
===>   NOTICE:

The jasper port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from ca_root_nss-3.29:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.14_1:
To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from liblqr-1-0.4.2:
==========================================================================
NOTE: In order to compile examples for liblqr, you will
also need pngwriter port (/usr/ports/graphics/pngwriter).
Examples are located in /usr/local/share/examples/liblqr-1
==========================================================================
Message from ghostscript9-agpl-base-9.16_5:
Note: in order to use the script "dvipdf", dvips must be installed.
This program is provided by another package print/tex-dvipsk.

FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.16/Resource/Init
have to be configured if you want to use FAPI feature.
===>   emms-4.2 depends on file: /usr/local/bin/emacs-25.1 - found
===>   Returning to build of emms-4.2
===>   emms-4.2 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[103i386-default-job-24] Installing gmake-4.2.1_1...
[103i386-default-job-24] Extracting gmake-4.2.1_1: .......... done
===>   emms-4.2 depends on executable: gmake - found
===>   Returning to build of emms-4.2
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for emms-4.2
===========================================================================
=======================<phase: build          >============================
===>  Building for emms-4.2
gmake[1]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2'
gmake -C lisp
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2/lisp'

In emms-player-mpd-ensure-process:
emms-player-mpd.el:330:49:Warning: `process-kill-without-query' is an obsolete
    function (as of 22.1); use `process-query-on-exit-flag' or
    `set-process-query-on-exit-flag'.

In end of data:
emms-player-mpd.el:1318:1:Warning: the function `mapcan' is not known to be
    defined.

In emms-lyrics-visit-lyric:
emms-lyrics.el:240:53:Warning: reference to free variable `filename'
emms-lyrics.el:248:47:Warning: reference to free variable
    `eww-after-render-hook'

In emms-stream-mode:
emms-streams.el:205:4:Warning: `toggle-read-only' is an obsolete function (as
    of 24.3); use `read-only-mode' instead.
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2/lisp'
gmake -C doc/
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc'
makeinfo --no-split emms.texinfo
/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc//gpl.texi:1: Prev field of node 
`Copying' not pointed to.
/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc//emms.texinfo:1188: This node 
(Extending Emms) has the bad Next.
/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc//emms.texinfo:2424: Next field 
of node `GNU FM' not pointed to (perhaps incorrect sectioning?).
/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc//gpl.texi:1: This node 
(Copying) has the bad Prev.
makeinfo: Removing output file 
`/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc/emms.info' due to errors; use 
--force to preserve.
gmake[2]: *** [Makefile:10: emms.info] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2/doc'
gmake[1]: *** [Makefile:36: docs] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.2'
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/emms
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to